using System;
using System.Collections.Generic;
using System.Text;
using MsCrmHelpers.CrmSdk;

namespace MsCrmHelpers
{
    public class LookupHelper
    {
        public static Lookup CreateLookup(BusinessEntity entity)
        {
            if (entity == null)
                throw new ArgumentNullException("entity");

            if (entity is pricelevel)
            {
                pricelevel entityPricelevel = (pricelevel)entity;

                Lookup lookup = new Lookup();
                lookup.name = entityPricelevel.name;
                lookup.Value = entityPricelevel.pricelevelid.Value;
                lookup.type = "pricelevel";

                return lookup;
            }

            throw new ArgumentOutOfRangeException("entity");
            
        }
    }
}
