//using System;
//using System.Collections.Generic;
//using System.Text;
//using System.Web.Services.Protocols;

//namespace Consonica.Ssis.MsCrm
//{
//    /// <summary>
//    /// MsCrmEmailData contains data for a new Email in Crm, and it mirrors DeliverIncomingEmailRequest
//    /// 
//    /// From the CRM documentation:
//    /// Field Description 
//    /// Attachments Specifies a collection of annotations used to store data attached to the e-mail message. 
//    /// Bcc Specifies the addresses of the blind carbon copy (Bcc) recipients for the e-mail message. 
//    /// Body Specifies the message body for the e-mail. 
//    /// Cc Specifies the addresses of the carbon copy (Cc) recipients for the e-mail message. 
//    /// From Specifies the from address for the e-mail message. 
//    /// Importance Indicates the level of importance for the e-mail message. 
//    /// MessageId Specifies the ID of the e-mail message. 
//    /// Subject Specifies the subject line for the e-mail message. 
//    /// SubmittedBy Specifies the e-mail address of the account that is creating the e-mail activity instance. 
//    /// To Specifies the addresses of the recipients of the e-mail message. 
//    /// </summary>
//    public struct MsCrmEmailData
//    {
//        public string Body;
//        public string Bcc;
//        public string Cc;
//        public string From;
//        public string Importance;
//        public string MessageId;
//        public string Subject;
//        //public string SubmittedBy;
//        public string To;
//        public List<MsCrmAttachmentData> Attachments;
//    }

//    public class MsCrmEmail : MsCrmItem
//    {
//        Guid m_Id;
//        public override Guid Id
//        {
//            get { return m_Id; }
//        }


//        public override string EntityType
//        {
//            get { return EntityName.email.ToString(); }
//        }

//        internal MsCrmEmail(Guid emailId)
//        {
//            m_Id = emailId;
//        }

//        /// <summary>
//        /// Creates a new email message in the CRM system
//        /// </summary>
//        /// <param name="connection"></param>
//        /// <param name="data"></param>
//        /// <returns></returns>
//        public static MsCrmEmail Create(MsCrmConnection connection, MsCrmEmailData data)
//        {
//            DeliverPromoteEmailRequest request = new DeliverPromoteEmailRequest();
//            request.Bcc = data.Bcc;
//            request.Body = data.Body;
//            request.Cc = data.Cc;
//            request.From = data.From;
//            request.Importance = data.Importance;
//            request.MessageId = data.MessageId;
//            request.Subject = data.Subject;
//            request.SubmittedBy = ""; // "justinsb@consonica.com"; // "justinsb"; // data.SubmittedBy;
//            request.To = data.To;

//            BusinessEntityCollection attachments = new BusinessEntityCollection();
//            attachments.EntityName = EntityName.activitymimeattachment.ToString();
//            attachments.BusinessEntities = new BusinessEntity[0];

//            request.Attachments = attachments;

//            Response response = connection.CrmService.Execute(request);
//            DeliverPromoteEmailResponse emailResponse = (DeliverPromoteEmailResponse)response;

//            Guid emailId = emailResponse.EmailId;
//            MsCrmEmail crmEmail = new MsCrmEmail(emailId);

//            if (data.Attachments != null)
//            {
//                int attachmentNumber = 1;
//                foreach (MsCrmAttachmentData attachmentData in data.Attachments)
//                {
//                    MsCrmAttachment attachment = MsCrmAttachment.Create(connection, crmEmail, attachmentNumber, attachmentData);
//                    attachmentNumber++;
//                }
//            }

//            return crmEmail;
//        }
//    }
//}
